<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:49 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Package io.mosip.registration.constants (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package io.mosip.registration.constants (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/constants/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package io.mosip.registration.constants" class="title">Uses of Package<br>io.mosip.registration.constants</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.audit">io.mosip.registration.audit</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.constants">io.mosip.registration.constants</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service">io.mosip.registration.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.util.restclient">io.mosip.registration.util.restclient</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.audit">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a> used by <a href="../../../../io/mosip/registration/audit/package-summary.html">io.mosip.registration.audit</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/AuditEvent.html#io.mosip.registration.audit">AuditEvent</a>
<div class="block">Enum for Audit Events</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/Components.html#io.mosip.registration.audit">Components</a>
<div class="block">Enum for Application Modules to be used in Audit</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.constants">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a> used by <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/AuditEvent.html#io.mosip.registration.constants">AuditEvent</a>
<div class="block">Enum for Audit Events</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/AuditEventType.html#io.mosip.registration.constants">AuditEventType</a>
<div class="block">The <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><code>Enum</code></a> for the types of Audit Events</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/AuditReferenceIdTypes.html#io.mosip.registration.constants">AuditReferenceIdTypes</a>
<div class="block">Enum for References Id Types to be used in Audit</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/Components.html#io.mosip.registration.constants">Components</a>
<div class="block">Enum for Application Modules to be used in Audit</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/DeviceTypes.html#io.mosip.registration.constants">DeviceTypes</a>
<div class="block">Device Type enum</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/IntroducerType.html#io.mosip.registration.constants">IntroducerType</a>
<div class="block">The enums for introducer types</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/LoginMode.html#io.mosip.registration.constants">LoginMode</a>
<div class="block">The Enum LoginMode contains the different modes of login.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/ProcessNames.html#io.mosip.registration.constants">ProcessNames</a>
<div class="block">Enum for Process Names</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/RegistrationClientStatusCode.html#io.mosip.registration.constants">RegistrationClientStatusCode</a>
<div class="block">Enum for Registration Client Status Code</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/RegistrationTransactionType.html#io.mosip.registration.constants">RegistrationTransactionType</a>
<div class="block">Enum for Registration Transaction Type Code</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/RegistrationType.html#io.mosip.registration.constants">RegistrationType</a>
<div class="block">Enum for Registration Type Code</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a> used by <a href="../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/DeviceTypes.html#io.mosip.registration.dao">DeviceTypes</a>
<div class="block">Device Type enum</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a> used by <a href="../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/DeviceTypes.html#io.mosip.registration.dao.impl">DeviceTypes</a>
<div class="block">Device Type enum</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a> used by <a href="../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/DeviceTypes.html#io.mosip.registration.service">DeviceTypes</a>
<div class="block">Device Type enum</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.restclient">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../io/mosip/registration/constants/package-summary.html">io.mosip.registration.constants</a> used by <a href="../../../../io/mosip/registration/util/restclient/package-summary.html">io.mosip.registration.util.restclient</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../io/mosip/registration/constants/class-use/LoginMode.html#io.mosip.registration.util.restclient">LoginMode</a>
<div class="block">The Enum LoginMode contains the different modes of login.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/constants/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
